import 'package:localization_builder/src/definitions/localizations.dart';
import 'package:meta/meta.dart';

class ParsingResult<Input, Token> {
  const ParsingResult({
    @required this.input,
    @required this.result,
    @required this.tokens,
  });

  final Input input;
  final Localizations result;
  final List<Token> tokens;
}

class ParsingException<Token> {
  const ParsingException({
    @required this.message,
    @required this.token,
  });

  final String message;
  final Token token;
}
