import 'package:meta/meta.dart';
import 'package:yaml/yaml.dart';

class YamlLocalizationToken {
  const YamlLocalizationToken({
    @required this.node,
    @required this.type,
  });

  const YamlLocalizationToken.unknown(this.node)
      : type = YamlLocalizationTokenType.unknown;

  final YamlNode node;
  final YamlLocalizationTokenType type;
}

enum YamlLocalizationTokenType {
  unknown,
  languageKey,
  sectionKey,
  labelKey,
  caseKey,
  labelValue,
  caseValue,
}
